Skip to main content
`Ctrl`+`K`

# PetscFunctionListGet

Gets an array the contains the entries in `PetscFunctionList`, this is used by help etc.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFunctionListGet(PetscFunctionList list, const char ***array, int *n)

Not Collective, No Fortran Support

## Input Parameter

- list - list of types

## Output Parameters

- array - array of names

- n - length of `array`

## Note

This allocates the array so that must be freed with `PetscFree()`. BUT the individual entries should not be freed.

## See Also

`PetscFunctionListAdd()`, `PetscFunctionList`

## Level

developer

## Location

src/sys/dll/reg.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages